Skip to main content
PUT
/
api
/
item
/
{id}
Updates an existing item.
curl --request PUT \
  --url https://{install}/api/item/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity": "<string>",
  "containerId": "<string>",
  "processId": "<string>",
  "sequence": 123,
  "boardId": "<string>",
  "cycleId": "<string>",
  "resourceType": 123,
  "resourceId": "<string>",
  "dateOpened": "2023-11-07T05:31:56Z",
  "dateWorking": "2023-11-07T05:31:56Z",
  "dateClosed": "2023-11-07T05:31:56Z",
  "time": [
    {
      "id": "<string>",
      "dated": "2023-11-07T05:31:56Z",
      "userId": "<string>",
      "timeTypeId": "<string>",
      "timeLogged": "<string>",
      "comment": "<string>",
      "status": 123
    }
  ],
  "field": [
    {
      "fieldId": "<string>",
      "data": "<string>"
    }
  ],
  "meta": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "clockStart": "2023-11-07T05:31:56Z",
  "clockFinish": "2023-11-07T05:31:56Z",
  "clockDelta": 123,
  "clockHours": 123,
  "clockStatus": 123,
  "dependencyKey": "<string>",
  "dependencyIndent": 123,
  "dependencyChild": 123,
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}
'

Documentation Index

Fetch the complete documentation index at: https://ekso.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Path Parameters

id
string
required

Body

The item with updated values.

entity
null | string
containerId
string
processId
string
sequence
integer<int32>
boardId
string
cycleId
string
resourceType
integer
resourceId
string
dateOpened
null | string<date-time>
dateWorking
null | string<date-time>
dateClosed
null | string<date-time>
time
object[]
field
object[]
meta
object[]
clockStart
string<date-time>
clockFinish
string<date-time>
clockDelta
number<double>
clockHours
integer<int32>
clockStatus
integer
dependencyKey
string
dependencyIndent
integer<int32>
dependencyChild
integer<int32>
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean

Response

The updated item.